{
  pkgs ? import <nixpkgs> {},
  system ? builtins.currentSystem,
}:
pkgs.stdenv.mkDerivation rec {
  pname = "esp-idf";
  version = "5.4";
  src = pkgs.fetchFromGitHub {
    owner = "espressif";
    repo = "esp-idf";
    rev = "v${version}";
    fetchSubmodules = true;
    hash = "sha256-9OQ/0DGwgfR3MkRWd6zSe1FD3Ywt4Ugw8J/BFu1Vfw0=";
  };

  buildInputs = with pkgs; [
    python3
    libusb1
  ];
}
